First time here? Check out the FAQ!
x

Latest questions about "version compatible"

0 votes
1 answer 142 views
I've used Zooom2 for many years. It lost its functionality when I upgraded to Sierra, so I down graded to El Capitan. I have the Zooom2 2.6.5 version; is it compatible with High Sierra?
asked Dec 3, 2017 by ekoh about Zooom2
To see more, click for the full list of questions or popular tags.
...